# Options

The `options` property takes a `MapOptions()` object.

```dart
FlutterMap(
    options: MapOptions(
        ...
    ),
);
```

This is where you'll configure most of your global map settings, but not settings that depend on, or affect a specific, map layer.

None of the options are required, but the options property on the `FlutterMap()` is required.

{% content-ref url="/pages/eBlA3jiLKPk9V6hXnGMl" %}
[Recommended Options](/v3/usage/options/recommended-options.md)
{% endcontent-ref %}

{% content-ref url="/pages/2UDq6FwUfn1MUkDkxZe1" %}
[Other Options](/v3/usage/options/other-options.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fleaflet.dev/v3/usage/options.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
